libapt-pkg-perl_0.1.29+b2_amd64.deb


Advertisement

Description

libapt-pkg-perl - Perl interface to libapt-pkg

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libapt-pkg-perl
Package version 0.1.29+b2
Package architecture amd64
Package type deb
Installed size 211 B
Download size 75.58 KB
Official Mirror ftp.br.debian.org
A Perl interface to APT's libapt-pkg which provides modules for configuration
file/command line parsing, version comparison, inspection of the binary
package cache and source package details.

Alternatives

Package Version Architecture Repository
libapt-pkg-perl_0.1.29+b2_i386.deb 0.1.29+b2 i386 Debian Main
libapt-pkg-perl - - -

Requires

Name Value
libapt-pkg4.12 >= 0.8.0
libc6 >= 2.2.5
libgcc1 >= 1:4.1.1
libstdc++6 >= 4.1.1
perl-base >= 5.20.0-4
perlapi-5.20.0 -

Download

Type URL
Binary Package libapt-pkg-perl_0.1.29+b2_amd64.deb
Source Package libapt-pkg-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libapt-pkg-perl deb package:
    # sudo apt-get install libapt-pkg-perl

Files

Path
/usr/lib/x86_64-linux-gnu/perl5/5.20/AptPkg.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/AptPkg/Cache.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/AptPkg/Config.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/AptPkg/Config.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/AptPkg/PkgRecords.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/AptPkg/Policy.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/AptPkg/Source.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/AptPkg/System.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/AptPkg/Version.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/AptPkg/hash.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/AptPkg/AptPkg.so
/usr/share/doc/libapt-pkg-perl/changelog.amd64.gz
/usr/share/doc/libapt-pkg-perl/changelog.gz
/usr/share/doc/libapt-pkg-perl/copyright
/usr/share/doc/libapt-pkg-perl/examples/apt-cache
/usr/share/doc/libapt-pkg-perl/examples/apt-config
/usr/share/doc/libapt-pkg-perl/examples/apt-version
/usr/share/man/man3/AptPkg.3pm.gz
/usr/share/man/man3/AptPkg::Cache.3pm.gz
/usr/share/man/man3/AptPkg::Config.3pm.gz
/usr/share/man/man3/AptPkg::PkgRecords.3pm.gz
/usr/share/man/man3/AptPkg::Policy.3pm.gz
/usr/share/man/man3/AptPkg::Source.3pm.gz
/usr/share/man/man3/AptPkg::System.3pm.gz
/usr/share/man/man3/AptPkg::Version.3pm.gz
/usr/share/man/man3/AptPkg::hash.3pm.gz

Changelog

2013-06-19 - Brendan O'Dea <bod@debian.org>
libapt-pkg-perl (0.1.29) unstable; urgency=low
* Update release years in debian/copyright.
* Update Copyright to GPLv3.
* Re-instate accidentally dropped Size and InstalledSize fields, and
update test to ensure they exist.  Thanks to Kevin Ryde for reporting
the issue and for spelunking the git repository to find the problem
change (closes: #712613).
2013-05-11 - Brendan O'Dea <bod@debian.org>
libapt-pkg-perl (0.1.28) unstable; urgency=low
* Whitespace cleanup.
* More updates for multi-arch support:
- Add is_multi_arch and native_arch methods to AptPkg::Cache.
- Add FullName, ShortName and Arch fields to AptPkg::Cache::Package.
- Change AptPkg::Cache::Iter to return FullName (including arch)
rather than Name.
- Update cache test to check for new fields.
Thanks to Andrew Ayer for identifying the problem (closes: #707142).
* Bump file versions.
2013-03-01 - Brendan O'Dea <bod@debian.org>
libapt-pkg-perl (0.1.27) unstable; urgency=low
* Update test files with to include multi-arch, translations and inline
signed Release files.
* Remove very obsolete, rarely updated README file.
* Add support for translated descriptions (closes: #701899).
2012-03-27 - Brendan O'Dea <bod@debian.org>
libapt-pkg-perl (0.1.26) unstable; urgency=low
* Update MANIFEST.
* Switch to non-deprecated pkgCacheFile::Open method.
* Remove old CVS keywords.
* Drop Architecture from pkgCache::PkgFileIterator as this field is no
longer populated by debListParser::LoadReleaseInfo().
2011-10-03 - Brendan O'Dea <bod@debian.org>
libapt-pkg-perl (0.1.25) unstable; urgency=low
* Update Vcs-Git and Vcs-Browser fields.
* Update standards-version to 3.9.2:
- switch to debhelper v8, adding debian/compat
- use dh_prep rather than dh_clean -k
- add ${misc:Depends}
- add build-arch and build-indep targets
- conditionally "make realclean" rather than supressing errors
- use DESTDIR, rather than PREFIX in install rules
- switch to "3.0 (Native)" source format
* Apply patch from Kevin Lyda to fix a number of misspellings in the
comments and documentation.
2009-08-04 - Brendan O'Dea <bod@debian.org>
libapt-pkg-perl (0.1.24) unstable; urgency=low
* Fix Vcs-Browser control field.
* Create empty t/cache/etc/preferences.d directory to hush noisy test.
2009-04-17 - Brendan O'Dea <bod@debian.org>
libapt-pkg-perl (0.1.23) unstable; urgency=low
* Move repository to git://git.debian.org/users/bod/libapt-pkg-perl.git
* Apply patch from Kevin Ryde to add Size/InstalledSize (closes: #522835).
* Use pre-increment for iterator objects.
2008-02-06 - Brendan O'Dea <bod@debian.org>
libapt-pkg-perl (0.1.22) unstable; urgency=low
* Fix typo in AptPkg::Cache::Version DependsList docs (closes: #461553).
2007-06-17 - Brendan O'Dea <bod@debian.org>
libapt-pkg-perl (0.1.21) unstable; urgency=low
* Remove obsolete _iter method from AptPkg/hash.pm .
* Use typemap for methods returning objects rather than calling
sv_setref_pv() manually.
* Tidy up parented<> class handling.
* Implement pkgPolicy interface as AptPkg::Policy (closes: #243125).
2006-05-01 - Brendan O'Dea <bod@debian.org>
libapt-pkg-perl (0.1.20) unstable; urgency=low
* Use $(CURDIR) [make] rather than $(PWD) [sh] in debian/rules
(closes: #365534).

See Also

Package Description
libapt-pkg4.12_1.0.9.8.4_amd64.deb package management runtime library
libaqbanking-data_5.4.3beta-2_all.deb configuration files for libaqbanking
libaqbanking-doc_5.4.3beta-2_all.deb library for online banking applications
libaqbanking34-dev_5.4.3beta-2+b1_amd64.deb library for online banking applications
libaqbanking34-plugins_5.4.3beta-2+b1_amd64.deb plugins needed by libaqbanking34
libaqbanking34_5.4.3beta-2+b1_amd64.deb library for online banking applications
libaqebics0_5.4.3beta-2+b1_amd64.deb library for EBICS online banking
libaqhbci22_5.4.3beta-2+b1_amd64.deb library for HBCI online banking
libaqofxconnect7_5.4.3beta-2+b1_amd64.deb library for OFX online banking
libaqsis-dev_1.8.2-1_amd64.deb 3D rendering solution adhering to the RenderMan(R) standard, development files
libaqsis1_1.8.2-1_amd64.deb 3D rendering solution adhering to the RenderMan(R) standard, shared libs
libarc-php_2.2.4-1_all.deb Flexible RDF system for semantic web and PHP practitioners
libarccommon3_4.2.0-2_amd64.deb ARC Grid middleware
libarch-perl_0.5.2-1_all.deb high-level interface to GNU Arch
libarchive-any-create-perl_0.3-1_all.deb abstract API to create tar/tar.gz/zip archives
Advertisement
Advertisement